Package org.apache.solr.client.solrj.io.stream.metrics

## Class MaxMetric

- java.lang.Object
- - org.apache.solr.client.solrj.io.stream.metrics.Metric
  - - org.apache.solr.client.solrj.io.stream.metrics.MaxMetric

All Implemented Interfaces:
  `Expressible`

    public class MaxMetric
    extends Metric

### Field Summary

### Fields inherited from class org.apache.solr.client.solrj.io.stream.metrics.Metric

`outputLong`

### Constructor Summary

Constructors
`MaxMetric​(String columnName)`
`MaxMetric​(StreamExpression expression, StreamFactory factory)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String[]` `getColumns()`
`Number` `getValue()`
`Metric` `newInstance()`
`StreamExpressionParameter` `toExpression​(StreamFactory factory)`
`void` `update​(Tuple tuple)`

### Methods inherited from class org.apache.solr.client.solrj.io.stream.metrics.Metric

`getFunctionName, getIdentifier, getMetricNodeId, setFunctionName, setIdentifier, setIdentifier, toExplanation`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MaxMetric

    public MaxMetric​(String columnName)

#### MaxMetric

    public MaxMetric​(StreamExpression expression,
                     StreamFactory factory)
              throws IOException

Throws:
  `IOException`

### Method Detail

#### getValue

    public Number getValue()

Specified by:
  `getValue` in class `Metric`

#### getColumns

    public String[] getColumns()

Specified by:
  `getColumns` in class `Metric`

#### update

    public void update​(Tuple tuple)

Specified by:
  `update` in class `Metric`

#### newInstance

    public Metric newInstance()

Specified by:
  `newInstance` in class `Metric`

#### toExpression

    public StreamExpressionParameter toExpression​(StreamFactory factory)
                                           throws IOException

Throws:
  `IOException`